library("audio")

SECOND <- 60000
beat <- SECOND/8

Piano_frequency <- function(n)
  440 * (2^(1/12))^(n) # 440 Hz correspond to C note on piano

# Each number "c(0, 2, 4, 5, 7, 9, 11, 12, 11, 9, 7 ,5 ,4 , 2, 0)" corresponds to a note in
# C major scale in piano. Try to edit this line in order to produce notes that correspond
# to the velocity of each star from the file "Nebulae_and_Clusters_of_Stars".
# The data in that file are qiute big so use only the first 50 rows of data.

# Comment the next line and write your new code (no more than two lines are needed)
frequencies <- Piano_frequency(c(0, 2, 4, 5, 7, 9, 11, 12, 11, 9, 7 ,5 ,4 , 2, 0))

# Produces the same rythm on each frequency from maximum (=1) until it goes off (=0)
press <- seq(1, 0, length.out = beat) # beat (i.e. 3750) evenly distributed numbers from 1 to 0
rhythm <- array(press, c(1, length(frequencies)*length(press))) # Creates an array of 1x187500
# filled with press values repeatedly

# Combine
melody <- rhythm * c(sapply(frequencies, function(f) sin(2*pi*f*(1:(beat))/(SECOND))))

play(melody)
