# Task 1 - nitrate anions in water

# Background information: In analytical chemistry, a calibration curve, is a general method for determining the concentration of 
# a substance in an unknown sample by comparing the unknown to a set of standard samples of known concentration.A calibration curve
# is one approach to the problem of instrument calibration. In this exercise we will use absorption spectroscopy for the 
# determination of nitrate anions (NO3-) in water samples.

# ------------------------------------------------------------------------------------

# Read in the data and attach the file to R's memory
experiment<-read.table("NO3_data.txt",header=TRUE)
attach(experiment)

# Create plot
plot(concentration, Absorption)

# It certainly seems that concentration has a _________ correlation with Absorption

# Perform the linear model
analysis<-lm(Absorption ~ concentration)
abline(analysis$coef)
summary(analysis)


# Given the above linear model, what is the concentration of nitrate anions in the following
# water samples?

# Unknown sample 1
A1 = 0.44
# Uncomment and replace the appropriate values of intercept and slope
#x1 = (A1-intercept)/slope
#x1

# Unknown sample 2
A2 = 0.58
# Uncomment and replace the appropriate values of intercept and slope
#x2 = (A2-intercept)/slope
#x2

# ------------------------------------------------------------------------------------

# Task 2 - nitrate anions in water - error in calibration

# Background information: Let's see now what happens when the analyst makes a random error!

# ------------------------------------------------------------------------------------

# Read in the data and attach the file to R's memory

# Create plot

# Perform the linear model

# Given the above linear model, what is the concentration of nitrate anions in the following
# water samples?

# Unknown sample 3
A3 = 0.44
# Uncomment and replace the appropriate values of intercept and slope
#x3 = (A3-intercept)/slope
#x3

# Unknown sample 4
A4 = 0.58
# Uncomment and replace the appropriate values of intercept and slope
#x4 = (A4-intercept)/slope
#x4
